Selasa, 26 Maret 2019

How to install php 5.6 remi on fedora 27

  Tidak ada komentar
Looking for yum config manager package name 
[[email protected] ~]# dnf install http://rpms.remirepo.net/fedora/remi-release-27.rpm
Last metadata expiration check: 1:14:03 ago on Tue 26 Mar 2019 08:09:10 PM WIB.
remi-release-27.rpm                                                                                    12 kB/s |  20 kB     00:01
Dependencies resolved.
======================================================================================================================================
 Package                         Arch                      Version                              Repository                       Size
======================================================================================================================================
Installing:
 remi-release                    noarch                    27-5.fc27.remi                       @commandline                     20 k

Transaction Summary
======================================================================================================================================
Install  1 Package

Total size: 20 k
Installed size: 12 k
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                              1/1
  Installing       : remi-release-27-5.fc27.remi.noarch                                                                           1/1
  Verifying        : remi-release-27-5.fc27.remi.noarch                                                                           1/1

Installed:
  remi-release.noarch 27-5.fc27.remi

Complete!
[[email protected] httpd]#
[[email protected] httpd]# yum search yum-config-manager
Last metadata expiration check: 1:15:49 ago on Tue 26 Mar 2019 08:09:10 PM WIB.
============================================== Description Matched: yum-config-manager ===============================================
yum-utils.noarch : Utilities based around the yum package manager
[[email protected] httpd]#
[[email protected] httpd]# yum install yum-utils.noarch
Last metadata expiration check: 1:16:16 ago on Tue 26 Mar 2019 08:09:10 PM WIB.
Dependencies resolved.
======================================================================================================================================
 Package                                Arch                      Version                            Repository                  Size
======================================================================================================================================
Installing:
 yum-utils                              noarch                    1.1.31-514.fc27                    updates                    118 k
Installing dependencies:
 pyliblzma                              x86_64                    0.5.3-19.fc27                      fedora                      54 k
 python-urlgrabber                      noarch                    3.10.1-12.fc27                     fedora                     111 k
 python2-iniparse                       noarch                    0.4-26.fc27                        fedora                      46 k
 python2-kitchen                        noarch                    1.2.4-7.fc27                       fedora                     121 k
 python2-pycurl                         x86_64                    7.43.0-9.fc27                      fedora                     247 k
 python2-pygpgme                        x86_64                    0.3-25.fc27                        fedora                      92 k
 python2-rpm                            x86_64                    4.14.2.1-1.fc27                    updates                    118 k
 python2-six                            noarch                    1.11.0-1.fc27                      fedora                      36 k
 pyxattr                                x86_64                    0.5.3-12.fc27                      fedora                      34 k
 yum                                    noarch                    3.4.3-513.fc27                     fedora                     1.2 M
 yum-metadata-parser                    x86_64                    1.1.4-20.fc27                      fedora                      39 k

Transaction Summary
======================================================================================================================================
Install  12 Packages

Total download size: 2.2 M
Installed size: 8.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/12): yum-utils-1.1.31-514.fc27.noarch.rpm                                                          712 kB/s | 118 kB     00:00
(2/12): python2-kitchen-1.2.4-7.fc27.noarch.rpm                                                       469 kB/s | 121 kB     00:00
(3/12): pyliblzma-0.5.3-19.fc27.x86_64.rpm                                                            386 kB/s |  54 kB     00:00
(4/12): python-urlgrabber-3.10.1-12.fc27.noarch.rpm                                                   1.7 MB/s | 111 kB     00:00
(5/12): python2-iniparse-0.4-26.fc27.noarch.rpm                                                       572 kB/s |  46 kB     00:00
(6/12): python2-pygpgme-0.3-25.fc27.x86_64.rpm                                                        885 kB/s |  92 kB     00:00
(7/12): pyxattr-0.5.3-12.fc27.x86_64.rpm                                                              610 kB/s |  34 kB     00:00
(8/12): yum-metadata-parser-1.1.4-20.fc27.x86_64.rpm                                                  1.4 MB/s |  39 kB     00:00
(9/12): python2-six-1.11.0-1.fc27.noarch.rpm                                                          1.3 MB/s |  36 kB     00:00
(10/12): yum-3.4.3-513.fc27.noarch.rpm                                                                2.3 MB/s | 1.2 MB     00:00
(11/12): python2-pycurl-7.43.0-9.fc27.x86_64.rpm                                                      1.8 MB/s | 247 kB     00:00
(12/12): python2-rpm-4.14.2.1-1.fc27.x86_64.rpm                                                       1.0 MB/s | 118 kB     00:00
--------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                 841 kB/s | 2.2 MB     00:02
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                              1/1
  Installing       : python2-rpm-4.14.2.1-1.fc27.x86_64                                                                          1/12
  Installing       : python2-six-1.11.0-1.fc27.noarch                                                                            2/12
  Installing       : python2-iniparse-0.4-26.fc27.noarch                                                                         3/12
  Installing       : python2-pycurl-7.43.0-9.fc27.x86_64                                                                         4/12
  Installing       : python-urlgrabber-3.10.1-12.fc27.noarch                                                                     5/12
  Installing       : yum-metadata-parser-1.1.4-20.fc27.x86_64                                                                    6/12
  Installing       : pyxattr-0.5.3-12.fc27.x86_64                                                                                7/12
  Installing       : python2-pygpgme-0.3-25.fc27.x86_64                                                                          8/12
  Installing       : pyliblzma-0.5.3-19.fc27.x86_64                                                                              9/12
  Installing       : yum-3.4.3-513.fc27.noarch                                                                                  10/12
  Running scriptlet: yum-3.4.3-513.fc27.noarch                                                                                  10/12
  Installing       : python2-kitchen-1.2.4-7.fc27.noarch                                                                        11/12
  Installing       : yum-utils-1.1.31-514.fc27.noarch                                                                           12/12
  Running scriptlet: yum-utils-1.1.31-514.fc27.noarch                                                                           12/12
Running as unit: run-raa46ed1db21b47a99acd6ce5595de3b3.service
  Verifying        : yum-utils-1.1.31-514.fc27.noarch                                                                            1/12
  Verifying        : python2-kitchen-1.2.4-7.fc27.noarch                                                                         2/12
  Verifying        : yum-3.4.3-513.fc27.noarch                                                                                   3/12
  Verifying        : pyliblzma-0.5.3-19.fc27.x86_64                                                                              4/12
  Verifying        : python-urlgrabber-3.10.1-12.fc27.noarch                                                                     5/12
  Verifying        : python2-iniparse-0.4-26.fc27.noarch                                                                         6/12
  Verifying        : python2-pygpgme-0.3-25.fc27.x86_64                                                                          7/12
  Verifying        : pyxattr-0.5.3-12.fc27.x86_64                                                                                8/12
  Verifying        : yum-metadata-parser-1.1.4-20.fc27.x86_64                                                                    9/12
  Verifying        : python2-pycurl-7.43.0-9.fc27.x86_64                                                                        10/12
  Verifying        : python2-six-1.11.0-1.fc27.noarch                                                                           11/12
  Verifying        : python2-rpm-4.14.2.1-1.fc27.x86_64                                                                         12/12

Installed:
  yum-utils.noarch 1.1.31-514.fc27          pyliblzma.x86_64 0.5.3-19.fc27            python-urlgrabber.noarch 3.10.1-12.fc27
  python2-iniparse.noarch 0.4-26.fc27       python2-kitchen.noarch 1.2.4-7.fc27       python2-pycurl.x86_64 7.43.0-9.fc27
  python2-pygpgme.x86_64 0.3-25.fc27        python2-rpm.x86_64 4.14.2.1-1.fc27        python2-six.noarch 1.11.0-1.fc27
  pyxattr.x86_64 0.5.3-12.fc27              yum.noarch 3.4.3-513.fc27                 yum-metadata-parser.x86_64 1.1.4-20.fc27

Complete!
[[email protected] ~]#

Perform package installation
[[email protected] ~]# dnf --enablerepo=remi install php56
Last metadata expiration check: 0:00:00 ago on Tue 26 Mar 2019 09:40:47 PM WIB.
Dependencies resolved.
======================================================================================================================================
 Package                               Arch                    Version                                 Repository                Size
======================================================================================================================================
Installing:
 php56                                 x86_64                  3.0-1.fc27.remi                         remi                     8.1 k
Upgrading:
 libzip                                x86_64                  1.5.2-1.fc27.remi                       remi                      60 k
Installing dependencies:
 environment-modules                   x86_64                  3.2.10-23.fc27                          fedora                   118 k
 php56-php-cli                         x86_64                  5.6.40-5.fc27.remi                      remi                     2.7 M
 php56-php-common                      x86_64                  5.6.40-5.fc27.remi                      remi                     702 k
 php56-php-pear                        noarch                  1:1.10.9-1.fc27.remi                    remi                     363 k
 php56-php-pecl-jsonc                  x86_64                  1.3.10-2.fc27.remi                      remi                      50 k
 php56-php-pecl-zip                    x86_64                  1.15.4-1.fc27.remi                      remi                      47 k
 php56-php-process                     x86_64                  5.6.40-5.fc27.remi                      remi                      70 k
 php56-php-xml                         x86_64                  5.6.40-5.fc27.remi                      remi                     173 k
 php56-runtime                         x86_64                  3.0-1.fc27.remi                         remi                     1.1 M
 scl-utils                             x86_64                  1:2.0.2-7.fc27                          updates                   44 k
 tcl                                   x86_64                  1:8.6.8-1.fc27                          updates                  1.1 M

Transaction Summary
======================================================================================================================================
Install  12 Packages
Upgrade   1 Package

Total download size: 6.6 M
Is this ok [y/N]: y
Downloading Packages:
(1/13): environment-modules-3.2.10-23.fc27.x86_64.rpm                                                  98 kB/s | 118 kB     00:01
(2/13): scl-utils-2.0.2-7.fc27.x86_64.rpm                                                              44 kB/s |  44 kB     00:01
(3/13): php56-3.0-1.fc27.remi.x86_64.rpm                                                              1.3 kB/s | 8.1 kB     00:06
[MIRROR] php56-runtime-3.0-1.fc27.remi.x86_64.rpm: Curl error (28): Timeout was reached for http://mirror.innosol.asia/remi/fedora/27/remi/x86_64/php56-runtime-3.0-1.fc27.remi.x86_64.rpm [Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds]
(4/13): php56-runtime-3.0-1.fc27.remi.x86_64.rpm                                                       35 kB/s | 1.1 MB     00:33
(5/13): php56-php-pecl-jsonc-1.3.10-2.fc27.remi.x86_64.rpm                                             66 kB/s |  50 kB     00:00
(6/13): php56-php-pear-1.10.9-1.fc27.remi.noarch.rpm                                                  181 kB/s | 363 kB     00:02
(7/13): php56-php-process-5.6.40-5.fc27.remi.x86_64.rpm                                                70 kB/s |  70 kB     00:01
(8/13): php56-php-xml-5.6.40-5.fc27.remi.x86_64.rpm                                                   172 kB/s | 173 kB     00:01
(9/13): tcl-8.6.8-1.fc27.x86_64.rpm                                                                   375 kB/s | 1.1 MB     00:03
[MIRROR] php56-php-cli-5.6.40-5.fc27.remi.x86_64.rpm: Curl error (28): Timeout was reached for http://mirror.innosol.asia/remi/fedora/27/remi/x86_64/php56-php-cli-5.6.40-5.fc27.remi.x86_64.rpm [Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds]
(10/13): php56-php-pecl-zip-1.15.4-1.fc27.remi.x86_64.rpm                                              14 kB/s |  47 kB     00:03
(11/13): libzip-1.5.2-1.fc27.remi.x86_64.rpm                                                           23 kB/s |  60 kB     00:02
(12/13): php56-php-cli-5.6.40-5.fc27.remi.x86_64.rpm                                                   53 kB/s | 2.7 MB     00:52
[MIRROR] php56-php-common-5.6.40-5.fc27.remi.x86_64.rpm: Curl error (28): Timeout was reached for http://mirror.innosol.asia/remi/fedora/27/remi/x86_64/php56-php-common-5.6.40-5.fc27.remi.x86_64.rpm [Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds]
(13/13): php56-php-common-5.6.40-5.fc27.remi.x86_64.rpm                                                12 kB/s | 702 kB     00:56
--------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                 102 kB/s | 6.6 MB     01:05
warning: /var/cache/dnf/remi-1daf60c4c11d9ff4/packages/php56-3.0-1.fc27.remi.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID 0364b949: NOKEY
Importing GPG key 0x0364B949:
 Userid     : "Remi's RPM repository <[email protected]>"
 Fingerprint: 44E8 9CD5 B233 62C2 24CE 5A5D E080 F29F 0364 B949
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-remi-27
Is this ok [y/N]: y
Key imported successfully
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                              1/1
  Upgrading        : libzip-1.5.2-1.fc27.remi.x86_64                                                                             1/14
  Running scriptlet: libzip-1.5.2-1.fc27.remi.x86_64                                                                             1/14
  Installing       : tcl-1:8.6.8-1.fc27.x86_64                                                                                   2/14
  Running scriptlet: tcl-1:8.6.8-1.fc27.x86_64                                                                                   2/14
  Installing       : environment-modules-3.2.10-23.fc27.x86_64                                                                   3/14
  Running scriptlet: environment-modules-3.2.10-23.fc27.x86_64                                                                   3/14
  Installing       : scl-utils-1:2.0.2-7.fc27.x86_64                                                                             4/14
  Installing       : php56-runtime-3.0-1.fc27.remi.x86_64                                                                        5/14
  Running scriptlet: php56-runtime-3.0-1.fc27.remi.x86_64                                                                        5/14
  Installing       : php56-php-pecl-jsonc-1.3.10-2.fc27.remi.x86_64                                                              6/14
  Installing       : php56-php-common-5.6.40-5.fc27.remi.x86_64                                                                  7/14
  Installing       : php56-php-pecl-zip-1.15.4-1.fc27.remi.x86_64                                                                8/14
  Installing       : php56-php-cli-5.6.40-5.fc27.remi.x86_64                                                                     9/14
  Installing       : php56-php-process-5.6.40-5.fc27.remi.x86_64                                                                10/14
  Installing       : php56-php-xml-5.6.40-5.fc27.remi.x86_64                                                                    11/14
  Installing       : php56-php-pear-1:1.10.9-1.fc27.remi.noarch                                                                 12/14
  Installing       : php56-3.0-1.fc27.remi.x86_64                                                                               13/14
  Cleanup          : libzip-1.3.2-1.fc27.x86_64                                                                                 14/14
  Running scriptlet: libzip-1.3.2-1.fc27.x86_64                                                                                 14/14
  Running scriptlet: php56-php-common-5.6.40-5.fc27.remi.x86_64                                                                 14/14
=====================================================================

  WARNING : PHP 5.6 have reached its "End of Life" in
  January 2019. Even, if this package includes some of
  the important security fix, backported from 7.1, the
  UPGRADE to a maintained version is very strongly RECOMMENDED.

  WARNING : Fedora 27 is now EOL :
  You should consider upgrading to a supported release
=====================================================================
  Running scriptlet: libzip-1.3.2-1.fc27.x86_64                                                                                 14/14
Running as unit: run-rcd6ed153e18a4d47a621a760d072112d.service
  Running scriptlet: php56-php-pear-1:1.10.9-1.fc27.remi.noarch                                                                 14/14
  Verifying        : php56-3.0-1.fc27.remi.x86_64                                                                                1/14
  Verifying        : php56-runtime-3.0-1.fc27.remi.x86_64                                                                        2/14
  Verifying        : environment-modules-3.2.10-23.fc27.x86_64                                                                   3/14
  Verifying        : scl-utils-1:2.0.2-7.fc27.x86_64                                                                             4/14
  Verifying        : php56-php-cli-5.6.40-5.fc27.remi.x86_64                                                                     5/14
  Verifying        : php56-php-common-5.6.40-5.fc27.remi.x86_64                                                                  6/14
  Verifying        : php56-php-pecl-jsonc-1.3.10-2.fc27.remi.x86_64                                                              7/14
  Verifying        : php56-php-pear-1:1.10.9-1.fc27.remi.noarch                                                                  8/14
  Verifying        : php56-php-process-5.6.40-5.fc27.remi.x86_64                                                                 9/14
  Verifying        : php56-php-xml-5.6.40-5.fc27.remi.x86_64                                                                    10/14
  Verifying        : tcl-1:8.6.8-1.fc27.x86_64                                                                                  11/14
  Verifying        : php56-php-pecl-zip-1.15.4-1.fc27.remi.x86_64                                                               12/14
  Verifying        : libzip-1.5.2-1.fc27.remi.x86_64                                                                            13/14
  Verifying        : libzip-1.3.2-1.fc27.x86_64                                                                                 14/14

Installed:
  php56.x86_64 3.0-1.fc27.remi                                     environment-modules.x86_64 3.2.10-23.fc27
  php56-php-cli.x86_64 5.6.40-5.fc27.remi                          php56-php-common.x86_64 5.6.40-5.fc27.remi
  php56-php-pear.noarch 1:1.10.9-1.fc27.remi                       php56-php-pecl-jsonc.x86_64 1.3.10-2.fc27.remi
  php56-php-pecl-zip.x86_64 1.15.4-1.fc27.remi                     php56-php-process.x86_64 5.6.40-5.fc27.remi
  php56-php-xml.x86_64 5.6.40-5.fc27.remi                          php56-runtime.x86_64 3.0-1.fc27.remi
  scl-utils.x86_64 1:2.0.2-7.fc27                                  tcl.x86_64 1:8.6.8-1.fc27

Upgraded:
  libzip.x86_64 1.5.2-1.fc27.remi

Complete!
[[email protected] ~]#


How to install yum config manager fedora 27

  Tidak ada komentar
Looking for yum config manager package name 
[[email protected] httpd]# yum search yum-config-manager
Last metadata expiration check: 1:15:49 ago on Tue 26 Mar 2019 08:09:10 PM WIB.
============================================== Description Matched: yum-config-manager ===============================================
yum-utils.noarch : Utilities based around the yum package manager
[[email protected] httpd]#
Perform package installation
[[email protected] httpd]# yum install yum-utils.noarch
Last metadata expiration check: 1:16:16 ago on Tue 26 Mar 2019 08:09:10 PM WIB.
Dependencies resolved.
======================================================================================================================================
 Package                                Arch                      Version                            Repository                  Size
======================================================================================================================================
Installing:
 yum-utils                              noarch                    1.1.31-514.fc27                    updates                    118 k
Installing dependencies:
 pyliblzma                              x86_64                    0.5.3-19.fc27                      fedora                      54 k
 python-urlgrabber                      noarch                    3.10.1-12.fc27                     fedora                     111 k
 python2-iniparse                       noarch                    0.4-26.fc27                        fedora                      46 k
 python2-kitchen                        noarch                    1.2.4-7.fc27                       fedora                     121 k
 python2-pycurl                         x86_64                    7.43.0-9.fc27                      fedora                     247 k
 python2-pygpgme                        x86_64                    0.3-25.fc27                        fedora                      92 k
 python2-rpm                            x86_64                    4.14.2.1-1.fc27                    updates                    118 k
 python2-six                            noarch                    1.11.0-1.fc27                      fedora                      36 k
 pyxattr                                x86_64                    0.5.3-12.fc27                      fedora                      34 k
 yum                                    noarch                    3.4.3-513.fc27                     fedora                     1.2 M
 yum-metadata-parser                    x86_64                    1.1.4-20.fc27                      fedora                      39 k

Transaction Summary
======================================================================================================================================
Install  12 Packages

Total download size: 2.2 M
Installed size: 8.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/12): yum-utils-1.1.31-514.fc27.noarch.rpm                                                          712 kB/s | 118 kB     00:00
(2/12): python2-kitchen-1.2.4-7.fc27.noarch.rpm                                                       469 kB/s | 121 kB     00:00
(3/12): pyliblzma-0.5.3-19.fc27.x86_64.rpm                                                            386 kB/s |  54 kB     00:00
(4/12): python-urlgrabber-3.10.1-12.fc27.noarch.rpm                                                   1.7 MB/s | 111 kB     00:00
(5/12): python2-iniparse-0.4-26.fc27.noarch.rpm                                                       572 kB/s |  46 kB     00:00
(6/12): python2-pygpgme-0.3-25.fc27.x86_64.rpm                                                        885 kB/s |  92 kB     00:00
(7/12): pyxattr-0.5.3-12.fc27.x86_64.rpm                                                              610 kB/s |  34 kB     00:00
(8/12): yum-metadata-parser-1.1.4-20.fc27.x86_64.rpm                                                  1.4 MB/s |  39 kB     00:00
(9/12): python2-six-1.11.0-1.fc27.noarch.rpm                                                          1.3 MB/s |  36 kB     00:00
(10/12): yum-3.4.3-513.fc27.noarch.rpm                                                                2.3 MB/s | 1.2 MB     00:00
(11/12): python2-pycurl-7.43.0-9.fc27.x86_64.rpm                                                      1.8 MB/s | 247 kB     00:00
(12/12): python2-rpm-4.14.2.1-1.fc27.x86_64.rpm                                                       1.0 MB/s | 118 kB     00:00
--------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                 841 kB/s | 2.2 MB     00:02
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                              1/1
  Installing       : python2-rpm-4.14.2.1-1.fc27.x86_64                                                                          1/12
  Installing       : python2-six-1.11.0-1.fc27.noarch                                                                            2/12
  Installing       : python2-iniparse-0.4-26.fc27.noarch                                                                         3/12
  Installing       : python2-pycurl-7.43.0-9.fc27.x86_64                                                                         4/12
  Installing       : python-urlgrabber-3.10.1-12.fc27.noarch                                                                     5/12
  Installing       : yum-metadata-parser-1.1.4-20.fc27.x86_64                                                                    6/12
  Installing       : pyxattr-0.5.3-12.fc27.x86_64                                                                                7/12
  Installing       : python2-pygpgme-0.3-25.fc27.x86_64                                                                          8/12
  Installing       : pyliblzma-0.5.3-19.fc27.x86_64                                                                              9/12
  Installing       : yum-3.4.3-513.fc27.noarch                                                                                  10/12
  Running scriptlet: yum-3.4.3-513.fc27.noarch                                                                                  10/12
  Installing       : python2-kitchen-1.2.4-7.fc27.noarch                                                                        11/12
  Installing       : yum-utils-1.1.31-514.fc27.noarch                                                                           12/12
  Running scriptlet: yum-utils-1.1.31-514.fc27.noarch                                                                           12/12
Running as unit: run-raa46ed1db21b47a99acd6ce5595de3b3.service
  Verifying        : yum-utils-1.1.31-514.fc27.noarch                                                                            1/12
  Verifying        : python2-kitchen-1.2.4-7.fc27.noarch                                                                         2/12
  Verifying        : yum-3.4.3-513.fc27.noarch                                                                                   3/12
  Verifying        : pyliblzma-0.5.3-19.fc27.x86_64                                                                              4/12
  Verifying        : python-urlgrabber-3.10.1-12.fc27.noarch                                                                     5/12
  Verifying        : python2-iniparse-0.4-26.fc27.noarch                                                                         6/12
  Verifying        : python2-pygpgme-0.3-25.fc27.x86_64                                                                          7/12
  Verifying        : pyxattr-0.5.3-12.fc27.x86_64                                                                                8/12
  Verifying        : yum-metadata-parser-1.1.4-20.fc27.x86_64                                                                    9/12
  Verifying        : python2-pycurl-7.43.0-9.fc27.x86_64                                                                        10/12
  Verifying        : python2-six-1.11.0-1.fc27.noarch                                                                           11/12
  Verifying        : python2-rpm-4.14.2.1-1.fc27.x86_64                                                                         12/12

Installed:
  yum-utils.noarch 1.1.31-514.fc27          pyliblzma.x86_64 0.5.3-19.fc27            python-urlgrabber.noarch 3.10.1-12.fc27
  python2-iniparse.noarch 0.4-26.fc27       python2-kitchen.noarch 1.2.4-7.fc27       python2-pycurl.x86_64 7.43.0-9.fc27
  python2-pygpgme.x86_64 0.3-25.fc27        python2-rpm.x86_64 4.14.2.1-1.fc27        python2-six.noarch 1.11.0-1.fc27
  pyxattr.x86_64 0.5.3-12.fc27              yum.noarch 3.4.3-513.fc27                 yum-metadata-parser.x86_64 1.1.4-20.fc27

Complete!
[[email protected] httpd]#



How to install apache 2.4.37 form source fedora 27

  Tidak ada komentar
Looking for semanage package name 
[[email protected] ~]# yum install -y expat-devel pcre pcre-devel openssl-devel
Last metadata expiration check: 2:53:29 ago on Tue 26 Mar 2019 11:04:52 AM WIB.
Package pcre-8.42-5.fc27.x86_64 is already installed, skipping.
Package openssl-devel-1:1.1.0i-1.fc27.x86_64 is already installed, skipping.
Dependencies resolved.
======================================================================================================================================
 Package                          Arch                        Version                              Repository                    Size
======================================================================================================================================
Installing:
 expat-devel                      x86_64                      2.2.5-1.fc27                         updates                       54 k
 pcre-devel                       x86_64                      8.42-5.fc27                          updates                      550 k
Installing dependencies:
 pcre-cpp                         x86_64                      8.42-5.fc27                          updates                       44 k
 pcre-utf16                       x86_64                      8.42-5.fc27                          updates                      192 k
 pcre-utf32                       x86_64                      8.42-5.fc27                          updates                      183 k

Transaction Summary
======================================================================================================================================
Install  5 Packages

Total download size: 1.0 M
Installed size: 2.7 M
Downloading Packages:
(1/5): pcre-cpp-8.42-5.fc27.x86_64.rpm                                                                396 kB/s |  44 kB     00:00
(2/5): expat-devel-2.2.5-1.fc27.x86_64.rpm                                                            397 kB/s |  54 kB     00:00
(3/5): pcre-utf16-8.42-5.fc27.x86_64.rpm                                                              1.3 MB/s | 192 kB     00:00
(4/5): pcre-utf32-8.42-5.fc27.x86_64.rpm                                                              1.2 MB/s | 183 kB     00:00
(5/5): pcre-devel-8.42-5.fc27.x86_64.rpm                                                              1.7 MB/s | 550 kB     00:00
--------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                 615 kB/s | 1.0 MB     00:01
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                              1/1
  Installing       : pcre-utf32-8.42-5.fc27.x86_64                                                                                1/5
  Running scriptlet: pcre-utf32-8.42-5.fc27.x86_64                                                                                1/5
  Installing       : pcre-utf16-8.42-5.fc27.x86_64                                                                                2/5
  Running scriptlet: pcre-utf16-8.42-5.fc27.x86_64                                                                                2/5
  Installing       : pcre-cpp-8.42-5.fc27.x86_64                                                                                  3/5
  Running scriptlet: pcre-cpp-8.42-5.fc27.x86_64                                                                                  3/5
  Installing       : pcre-devel-8.42-5.fc27.x86_64                                                                                4/5
  Installing       : expat-devel-2.2.5-1.fc27.x86_64                                                                              5/5
  Running scriptlet: expat-devel-2.2.5-1.fc27.x86_64                                                                              5/5
Running as unit: run-rf0f7c092ba40491f9e605884994d6995.service
  Verifying        : expat-devel-2.2.5-1.fc27.x86_64                                                                              1/5
  Verifying        : pcre-devel-8.42-5.fc27.x86_64                                                                                2/5
  Verifying        : pcre-cpp-8.42-5.fc27.x86_64                                                                                  3/5
  Verifying        : pcre-utf16-8.42-5.fc27.x86_64                                                                                4/5
  Verifying        : pcre-utf32-8.42-5.fc27.x86_64                                                                                5/5

Installed:
  expat-devel.x86_64 2.2.5-1.fc27    pcre-devel.x86_64 8.42-5.fc27    pcre-cpp.x86_64 8.42-5.fc27    pcre-utf16.x86_64 8.42-5.fc27
  pcre-utf32.x86_64 8.42-5.fc27

Complete!
[[email protected] ~]#
Perform package installation

Looking for semanage package name 

[[email protected] ~]# yum install python
Last metadata expiration check: 0:56:06 ago on Tue 26 Mar 2019 02:05:04 PM WIB.
Dependencies resolved.
======================================================================================================================================
 Package                               Arch                      Version                             Repository                  Size
======================================================================================================================================
Installing:
 python2                               x86_64                    2.7.15-4.fc27                       updates                    101 k
Installing dependencies:
 python2-libs                          x86_64                    2.7.15-4.fc27                       updates                    6.3 M
 python2-pip                           noarch                    9.0.3-2.fc27                        updates                    2.0 M
 python2-setuptools                    noarch                    37.0.0-2.fc27                       updates                    606 k

Transaction Summary
======================================================================================================================================
Install  4 Packages

Total download size: 9.0 M
Installed size: 36 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): python2-2.7.15-4.fc27.x86_64.rpm                                                               685 kB/s | 101 kB     00:00
(2/4): python2-setuptools-37.0.0-2.fc27.noarch.rpm                                                    2.5 MB/s | 606 kB     00:00
(3/4): python2-pip-9.0.3-2.fc27.noarch.rpm                                                            2.3 MB/s | 2.0 MB     00:00
(4/4): python2-libs-2.7.15-4.fc27.x86_64.rpm                                                          6.8 MB/s | 6.3 MB     00:00
--------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                 4.5 MB/s | 9.0 MB     00:02
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                              1/1
  Installing       : python2-libs-2.7.15-4.fc27.x86_64                                                                            1/4
  Running scriptlet: python2-libs-2.7.15-4.fc27.x86_64                                                                            1/4
  Installing       : python2-pip-9.0.3-2.fc27.noarch                                                                              2/4
  Installing       : python2-setuptools-37.0.0-2.fc27.noarch                                                                      3/4
  Installing       : python2-2.7.15-4.fc27.x86_64                                                                                 4/4
  Running scriptlet: python2-2.7.15-4.fc27.x86_64                                                                                 4/4
Running as unit: run-r3e045400996c46ec9e90a9f207e9b8c3.service
  Verifying        : python2-2.7.15-4.fc27.x86_64                                                                                 1/4
  Verifying        : python2-libs-2.7.15-4.fc27.x86_64                                                                            2/4
  Verifying        : python2-pip-9.0.3-2.fc27.noarch                                                                              3/4
  Verifying        : python2-setuptools-37.0.0-2.fc27.noarch                                                                      4/4

Installed:
  python2.x86_64 2.7.15-4.fc27                     python2-libs.x86_64 2.7.15-4.fc27          python2-pip.noarch 9.0.3-2.fc27
  python2-setuptools.noarch 37.0.0-2.fc27

Complete!
[[email protected] ~]#
Perform package installation


Looking for semanage package name 

[[email protected] ~]# wget https://github.com/apache/httpd/archive/2.4.37.tar.gz -O httpd-2.4.37.tar.gz
--2019-03-26 14:58:12--  https://github.com/apache/httpd/archive/2.4.37.tar.gz
Resolving github.com (github.com)... 13.250.177.223, 52.74.223.119, 13.229.188.59
Connecting to github.com (github.com)|13.250.177.223|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://codeload.github.com/apache/httpd/tar.gz/2.4.37 [following]
--2019-03-26 14:58:13--  https://codeload.github.com/apache/httpd/tar.gz/2.4.37
Resolving codeload.github.com (codeload.github.com)... 13.229.189.0, 13.250.162.133, 54.251.140.56
Connecting to codeload.github.com (codeload.github.com)|13.229.189.0|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [application/x-gzip]
Saving to: ‘httpd-2.4.37.tar.gz’

httpd-2.4.37.tar.gz                   [              <=>                                           ]  11.26M  4.12MB/s    in 2.7s

2019-03-26 14:58:16 (4.12 MB/s) - ‘httpd-2.4.37.tar.gz’ saved [11812549]

[[email protected] ~]#
[[email protected] ~]# ls
anaconda-ks.cfg                   index.html           iTop-2.6.0-4294.zip  openlitespeed      README
epel-release-latest-7.noarch.rpm  INSTALL              LICENSE              php-5.6.37         web
httpd-2.4.37.tar.gz               iTop-2.0.2-1476.zip  ols1clk.sh           php-5.6.37.tar.gz
[[email protected] ~]#

Perform package installation


Looking for semanage package name 

[[email protected] ~]# wget https://github.com/apache/apr/archive/1.6.5.tar.gz -O apr-1.6.5.tar.gz
--2019-03-26 14:58:38--  https://github.com/apache/apr/archive/1.6.5.tar.gz
Resolving github.com (github.com)... 13.250.177.223, 13.229.188.59, 52.74.223.119
Connecting to github.com (github.com)|13.250.177.223|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://codeload.github.com/apache/apr/tar.gz/1.6.5 [following]
--2019-03-26 14:58:38--  https://codeload.github.com/apache/apr/tar.gz/1.6.5
Resolving codeload.github.com (codeload.github.com)... 13.229.189.0, 13.250.162.133, 54.251.140.56
Connecting to codeload.github.com (codeload.github.com)|13.229.189.0|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [application/x-gzip]
Saving to: ‘apr-1.6.5.tar.gz’

apr-1.6.5.tar.gz                      [ <=>                                                        ] 715.89K  3.68MB/s    in 0.2s

2019-03-26 14:58:39 (3.68 MB/s) - ‘apr-1.6.5.tar.gz’ saved [733069]

[[email protected] ~]#
[[email protected] ~]# ls
anaconda-ks.cfg                   httpd-2.4.37.tar.gz  iTop-2.0.2-1476.zip  ols1clk.sh     php-5.6.37.tar.gz
apr-1.6.5.tar.gz                  index.html           iTop-2.6.0-4294.zip  openlitespeed  README
epel-release-latest-7.noarch.rpm  INSTALL              LICENSE              php-5.6.37     web
[[email protected] ~]#

Perform package installation


Looking for semanage package name 

[[email protected] ~]# wget https://github.com/apache/apr-util/archive/1.6.1.tar.gz -O apr-util-1.6.1.tar.gz
--2019-03-26 14:59:16--  https://github.com/apache/apr-util/archive/1.6.1.tar.gz
Resolving github.com (github.com)... 13.229.188.59, 13.250.177.223, 52.74.223.119
Connecting to github.com (github.com)|13.229.188.59|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://codeload.github.com/apache/apr-util/tar.gz/1.6.1 [following]
--2019-03-26 14:59:17--  https://codeload.github.com/apache/apr-util/tar.gz/1.6.1
Resolving codeload.github.com (codeload.github.com)... 13.229.189.0, 13.250.162.133, 54.251.140.56
Connecting to codeload.github.com (codeload.github.com)|13.229.189.0|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [application/x-gzip]
Saving to: ‘apr-util-1.6.1.tar.gz’

apr-util-1.6.1.tar.gz                 [ <=>                                                        ] 422.61K  --.-KB/s    in 0.1s

2019-03-26 14:59:17 (3.26 MB/s) - ‘apr-util-1.6.1.tar.gz’ saved [432752]

[[email protected] ~]#
[[email protected] ~]# ls
anaconda-ks.cfg        epel-release-latest-7.noarch.rpm  INSTALL              LICENSE        php-5.6.37         web
apr-1.6.5.tar.gz       httpd-2.4.37.tar.gz               iTop-2.0.2-1476.zip  ols1clk.sh     php-5.6.37.tar.gz
apr-util-1.6.1.tar.gz  index.html                        iTop-2.6.0-4294.zip  openlitespeed  README
[[email protected] ~]#

Perform package installation


Looking for semanage package name 

[[email protected] ~]# tar xzf httpd-2.4.37.tar.gz
[[email protected] ~]# tar xzf apr-1.6.5.tar.gz
[[email protected] ~]# tar xzf apr-util-1.6.1.tar.gz
[[email protected] ~]#
Perform package installation


Looking for semanage package name 

[[email protected] ~]# ls
anaconda-ks.cfg   apr-util-1.6.1                    httpd-2.4.37         INSTALL              LICENSE        php-5.6.37         web
apr-1.6.5         apr-util-1.6.1.tar.gz             httpd-2.4.37.tar.gz  iTop-2.0.2-1476.zip  ols1clk.sh     php-5.6.37.tar.gz
apr-1.6.5.tar.gz  epel-release-latest-7.noarch.rpm  index.html           iTop-2.6.0-4294.zip  openlitespeed  README
[[email protected] ~]#

Perform package installation


Looking for semanage package name 

[[email protected] ~]# mv apr-util-1.6.1 httpd-2.4.37/srclib/apr-util
[[email protected] ~]#
[[email protected] ~]# mv apr-1.6.5 httpd-2.4.37/srclib/apr
[[email protected] ~]#
[[email protected] ~]# ls
anaconda-ks.cfg        epel-release-latest-7.noarch.rpm  index.html           iTop-2.6.0-4294.zip  openlitespeed      README
apr-1.6.5.tar.gz       httpd-2.4.37                      INSTALL              LICENSE              php-5.6.37         web
apr-util-1.6.1.tar.gz  httpd-2.4.37.tar.gz               iTop-2.0.2-1476.zip  ols1clk.sh           php-5.6.37.tar.gz
[[email protected] ~]#
Perform package installation

Looking for semanage package name 


[[email protected] ~]# cd httpd-2.4.37/
[[email protected] httpd-2.4.37]#
[[email protected] httpd-2.4.37]# ls
ABOUT_APACHE     ap.d          CHANGES         emacs-style  INSTALL         libhttpd.mak  NOTICE         README.platforms  support
acinclude.m4     build         CMakeLists.txt  httpd.dep    InstallBin.dsp  LICENSE       NWGNUmakefile  ROADMAP           test
Apache-apr2.dsw  BuildAll.dsp  config.layout   httpd.dsp    LAYOUT          Makefile.in   os             server            VERSIONING
Apache.dsw       BuildBin.dsp  configure.in    httpd.mak    libhttpd.dep    Makefile.win  README         srclib
apache_probes.d  buildconf     docs            include      libhttpd.dsp    modules       README.cmake   STATUS
[[email protected] httpd-2.4.37]#

Perform package installation

Looking for semanage package name 



[[email protected] httpd-2.4.37]# ./buildconf
found apr source: srclib/apr
found apr-util source: srclib/apr-util
rebuilding srclib/apr/configure
buildconf: checking installation...
buildconf: python version 2.7.15 (ok)
buildconf: autoconf version 2.69 (ok)
buildconf: libtool version 2.4.6 (ok)
buildconf: copying libtool helper files using /usr/bin/libtoolize
buildconf: creating include/arch/unix/apr_private.h.in ...
buildconf: creating configure ...
buildconf: generating 'make' outputs ...
buildconf: rebuilding rpm spec file
rebuilding srclib/apr-util/configure

Looking for apr source in /root/httpd-2.4.37/srclib/apr
Creating include/private/apu_config.h ...
Creating configure ...
Generating 'make' outputs ...
rebuilding rpm spec file
copying build files
rebuilding include/ap_config_auto.h.in
rebuilding configure
rebuilding rpm spec file
fixing timestamps for ap_expr sources
[[email protected] httpd-2.4.37]#
Perform package installation

Looking for semanage package name 



[[email protected] httpd-2.4.37]# ./configure --prefix=/usr/local/apache2 --enable-so --enable-ssl  --with-included-apr
checking for chosen layout... Apache
checking for working mkdir -p... yes
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
configure:
configure: Configuring Apache Portable Runtime library...
configure:
configuring package in srclib/apr now
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
Configuring APR library
Platform: x86_64-pc-linux-gnu
checking for working mkdir -p... yes
APR Version: 1.6.5
checking for chosen layout... apr
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o

config.status: creating build/pkg/pkginfo
config.status: creating build/config_vars.sh
config.status: creating include/ap_config_auto.h
config.status: executing default commands
configure: summary of build options:

    Server Version: 2.4.37
    Install prefix: /usr/local/apache2
    C compiler:     gcc
    CFLAGS:          -g -O2 -pthread
    CPPFLAGS:        -DLINUX -D_REENTRANT -D_GNU_SOURCE
    LDFLAGS:
    LIBS:
    C preprocessor: gcc -E

[[email protected] httpd-2.4.37]#

Perform package installation

Looking for semanage package name 



[[email protected] ~]# make

pers -prefer-pic -c mod_rewrite.c && touch mod_rewrite.slo
/root/httpd-2.4.37/srclib/apr/libtool --silent --mode=link gcc  -g -O2 -pthread           -o mod_rewrite.la -rpath /usr/local/apache2/modules -module -avoid-version  mod_rewrite.lo
make[4]: Leaving directory '/root/httpd-2.4.37/modules/mappers'
make[3]: Leaving directory '/root/httpd-2.4.37/modules/mappers'
make[2]: Leaving directory '/root/httpd-2.4.37/modules'
make[2]: Entering directory '/root/httpd-2.4.37/support'
make[2]: Leaving directory '/root/httpd-2.4.37/support'

make[1]: Leaving directory '/root/httpd-2.4.37'
[[email protected] httpd-2.4.37]#

Perform package installation

Looking for semanage package name 




[[email protected] ~]# make install

mkdir /usr/local/apache2/logs
Installing CGIs
mkdir /usr/local/apache2/cgi-bin
Installing header files
Installing build system files
Installing man pages and online manual
mkdir /usr/local/apache2/man
mkdir /usr/local/apache2/man/man1
mkdir /usr/local/apache2/man/man8
mkdir /usr/local/apache2/manual
make[1]: Leaving directory '/root/httpd-2.4.37'
[[email protected] httpd-2.4.37]#

Perform package installation

Looking for semanage package name 





[[email protected] httpd-2.4.37]# cd /usr/local/apache2/bin/
[[email protected] bin]#
[[email protected] bin]# ls
ab         apr-1-config  apxs      dbmmanage  envvars-std  htcacheclean  htdigest  httpd      logresolve
apachectl  apu-1-config  checkgid  envvars    fcgistarter  htdbm         htpasswd  httxt2dbm  rotatelogs
[[email protected] bin]#
[[email protected] bin]# ln -n httpd /sbin/httpd
[[email protected] bin]#
[[email protected] bin]# ls -l /sbin/httpd
-rwxr-xr-x. 2 root root 2420376 Mar 26 15:17 /sbin/httpd
[[email protected] bin]#
[[email protected] bin]# httpd -v
Server version: Apache/2.4.37 (Unix)
Server built:   Mar 26 2019 15:10:22
[root[email protected] bin]#
[[email protected] bin]# cd ~
[[email protected] ~]#
[[email protected] ~]# httpd -v
Server version: Apache/2.4.37 (Unix)
Server built:   Mar 26 2019 15:10:22
[[email protected] ~]#
[[email protected] ~]# httpd -V
Server version: Apache/2.4.37 (Unix)
Server built:   Mar 26 2019 15:10:22
Server's Module Magic Number: 20120211:83
Server loaded:  APR 1.6.5, APR-UTIL 1.6.1
Compiled using: APR 1.6.5, APR-UTIL 1.6.1
Architecture:   64-bit
Server MPM:     event
  threaded:     yes (fixed thread count)
    forked:     yes (variable process count)
Server compiled with....
 -D APR_HAS_SENDFILE
 -D APR_HAS_MMAP
 -D APR_HAVE_IPV6 (IPv4-mapped addresses enabled)
 -D APR_USE_SYSVSEM_SERIALIZE
 -D APR_USE_PTHREAD_SERIALIZE
 -D SINGLE_LISTEN_UNSERIALIZED_ACCEPT
 -D APR_HAS_OTHER_CHILD
 -D AP_HAVE_RELIABLE_PIPED_LOGS
 -D DYNAMIC_MODULE_LIMIT=256
 -D HTTPD_ROOT="/usr/local/apache2"
 -D SUEXEC_BIN="/usr/local/apache2/bin/suexec"
 -D DEFAULT_PIDLOG="logs/httpd.pid"
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
 -D DEFAULT_ERRORLOG="logs/error_log"
 -D AP_TYPES_CONFIG_FILE="conf/mime.types"
 -D SERVER_CONFIG_FILE="conf/httpd.conf"
[[email protected] ~]#


Perform package installation

Looking for semanage package name 





[[email protected] ~]# cd /usr/local/apache2/bin/
[[email protected] bin]#
[[email protected] bin]# ls
ab         apr-1-config  apxs      dbmmanage  envvars-std  htcacheclean  htdigest  httpd      logresolve
apachectl  apu-1-config  checkgid  envvars    fcgistarter  htdbm         htpasswd  httxt2dbm  rotatelogs
[[email protected] bin]#
[[email protected] bin]# ln -n apachectl /sbin/apachectl
[[email protected] bin]# ls -l /sbin/apachectl
-rwxr-xr-x. 2 root root 3437 Mar 26 15:02 /sbin/apachectl
[[email protected] bin]#
[[email protected] bin]# apachectl -v
Server version: Apache/2.4.37 (Unix)
Server built:   Mar 26 2019 15:10:22
[[email protected] bin]#
[[email protected] bin]# cd ~
[[email protected] ~]#
[[email protected] ~]# apachectl -v
Server version: Apache/2.4.37 (Unix)
Server built:   Mar 26 2019 15:10:22
[[email protected] ~]#
[[email protected] ~]# apachectl -V
Server version: Apache/2.4.37 (Unix)
Server built:   Mar 26 2019 15:10:22
Server's Module Magic Number: 20120211:83
Server loaded:  APR 1.6.5, APR-UTIL 1.6.1
Compiled using: APR 1.6.5, APR-UTIL 1.6.1
Architecture:   64-bit
Server MPM:     event
  threaded:     yes (fixed thread count)
    forked:     yes (variable process count)
Server compiled with....
 -D APR_HAS_SENDFILE
 -D APR_HAS_MMAP
 -D APR_HAVE_IPV6 (IPv4-mapped addresses enabled)
 -D APR_USE_SYSVSEM_SERIALIZE
 -D APR_USE_PTHREAD_SERIALIZE
 -D SINGLE_LISTEN_UNSERIALIZED_ACCEPT
 -D APR_HAS_OTHER_CHILD
 -D AP_HAVE_RELIABLE_PIPED_LOGS
 -D DYNAMIC_MODULE_LIMIT=256
 -D HTTPD_ROOT="/usr/local/apache2"
 -D SUEXEC_BIN="/usr/local/apache2/bin/suexec"
 -D DEFAULT_PIDLOG="logs/httpd.pid"
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
 -D DEFAULT_ERRORLOG="logs/error_log"
 -D AP_TYPES_CONFIG_FILE="conf/mime.types"
 -D SERVER_CONFIG_FILE="conf/httpd.conf"
[[email protected] ~]#
Perform package installation

Looking for semanage package name 






[[email protected] ~]#
[[email protected] ~]# apachectl start
AH00558: httpd: Could not reliably determine the server's fully qualified domain name, using 36.86.63.182. Set the 'ServerName' directive globally to suppress this message
[[email protected] ~]#
[[email protected] ~]# curl localhost
<html><body><h1>It works!</h1></body></html>
[[email protected] ~]#

Perform package installation